Skip to main content
`Ctrl`+`K`

# DMFieldType

String with the name of a `DMField` implementation

## Synopsis

    typedef const char *DMFieldType;
    #define DMFIELDDA    "da"
    #define DMFIELDDS    "ds"
    #define DMFIELDSHELL "shell"

## See Also

DM Basics, `DMField`, `DMFieldSetType()`, `DMFieldGetType()`, `DMFieldRegister()`

## Level

intermediate

## Location

include/petscdmfield.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages